<template>
  <section :class="[ 'form-tab', { 'inactive': isHidden } ]">
    <div
      :class="[ 'form-tab-title', { 'big': bigTitle } ]"
      @click="onTabClick"
    >
      <i
        v-if="!bigTitle"
        :class="[
          'icon',
          'form-tab-icon',
          `chevron-${isHidden ? 'right' : 'down'}`
        ]"
      />

      {{ title }}
    </div>

    <div class="form-tab-content">
      <slot />
    </div>
  </section>
</template>

<script>
  export default {
    name: 'SectionTab',
    props: {
      title: {
        type: String,
        required: true
      },
      bigTitle: {
        type: Boolean,
        default: false
      }
    },
    data () {
      return {
        isHidden: false
      }
    },
    methods: {
      onTabClick () {
        if (this.bigTitle) {
          return
        }

        this.isHidden = !this.isHidden
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .form-tab {
    &.inactive {
      .form-tab-title {
        border-bottom: 1px solid transparent;
      }

      .form-tab-content {
        display: none;
      }
    }

    & + .form-tab {
      margin-top: -1px;
    }

    &:last-child .form-tab-title {
      border-bottom: 1px solid $lavender;
    }

    &::v-deep .input-visual {
      margin-left: -10px;
    }
  }

  .form-tab-title {
    @include font-mixin(16px, 20px, 400, $color-blue-navy-blue);

    background: $background-color-light;
    padding: 8px 20px 7px;
    display: flex;
    align-items: center;
    border-top: 1px solid $lavender;
    box-sizing: border-box;
    cursor: pointer;

    &.big {
      cursor: default;
      height: 60px;
      padding: 0 27px;
      border-bottom: 1px solid $lavender;
    }
  }

  .form-tab-icon {
    font-size: 24px;
    margin-right: 10px;
  }

  .form-tab-content {
    margin-top: 20px;
  }
</style>
